Get pricing information for models
list.model (string): Model identifierpricing (object): Pricing information
input_per_1m (string | null): USD per 1M input tokensoutput_per_1m (string | null): USD per 1M output tokensper_request (string | null): USD per request (for fixed-price models)is_lock_price (boolean): Whether pricing is fixed per requestcurrency (string): Always USDprovider (string): Model provider| Type | Description | Example Models |
|---|---|---|
| Token-based | Charged per input/output tokens | GPT-4o, Claude, Gemini |
| Per-request | Fixed price per request | DALL-E 3, Sora, Suno |
Model ID to get pricing for. If not specified, returns pricing for all models.
Response 200
Always list .
Array of model pricing objects. Each object contains: model (string): Model identifier pricing (object): Pricing information input_per_1m (string | null): USD per 1M input tokens output_per_1m (string | null): USD per 1M output tokens per_request (string | null): USD per request (for fixed-price models) is_lock_price (boolean): Whether pricing is fixed per request currency (string): Always USD provider (string): Model provider